MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0032400Open CASCADE[OCCT] OCCT:Visualizationpublic2021-05-28 17:212021-06-19 12:04
Reporterosa 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.6.0*Fixed in Version 
Summary0032400: Visualization, TKIVtk - convert VTK camera to OCC
DescriptionAdd conversation of VTK camera to Graphic3d_Camera and use it during selection
Steps To ReproduceNot required
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
child of 0024904closedbugmaster Open CASCADE Visualization - Integration of VIS component 
child of 0024623closedbugmaster Open CASCADE Visualization - improve selection mechanism 

-  Notes
(0101456)
git (administrator)
2021-05-28 17:38

Branch CR32400 has been created by osa.

SHA-1: d7d27a78f73a68ff2f63ea28d888f78b49e6be73


Detailed log of new commits:

Author: osa
Date: Fri May 28 17:39:11 2021 +0300

    0032400: Visualization, TKIVtk - convert VTK camera to OCC
    
    Add new interfaces GetEyePosition(), GetClippingRange(), GetAspectRatio() to IVTK_IView
    Add ivtkviewparams command to print current parameters of view
    Add ivtkcamera comand to Prints current camera parameters or manages camera parameters (set ortho or persp projection)
(0101458)
osa (developer)
2021-05-28 17:56

pload VISUALIZATION MODELING VIS
box bb 1 1 1
vinit View1 w=600 h=400
vdisplay bb -dispmode 1
vcamera -persp
vfit
ivtkinit
ivtkdisplay bb
ivtksetdispmode bb 1
ivtkcamera -persp
ivtkaxo
ivtkfit

vcamera
vviewparams
ivtkcamera
ivtkviewparams
(0101459)
osa (developer)
2021-05-28 18:01

(0101898)
git (administrator)
2021-06-17 16:50

Branch CR32400_1 has been created by osa.

SHA-1: c6d3109abce3411aea9d6ae501bfafa1cb2ac812


Detailed log of new commits:

Author: osa
Date: Fri May 28 17:39:11 2021 +0300

    0032400: Visualization, TKIVtk - convert VTK camera to OCC
    
    Add new interfaces GetEyePosition(), GetClippingRange(), GetAspectRatio() to IVTK_IView
    Add ivtkviewparams command to print current parameters of view
    Add ivtkcamera comand to print current camera parameters or manages camera parameters (set ortho or persp projection)
(0101899)
osa (developer)
2021-06-17 17:12

http://jenkins-test-occt/view/CR32400_1-master-OSA/view/ALL/ [^]
(0101900)
osa (developer)
2021-06-17 17:56

The patch CR32400_1 is ready to review
(0101934)
bugmaster (administrator)
2021-06-19 11:26

Combination -
OCCT branch : IR-2021-06-18
master SHA - 4db6d89bc6d71c5bc627acde17c27dbbba52bae3
a87b7ddc8cb44606b91e3f37113847c3f5f50fdc
Products branch : IR-2021-06-18 SHA - eca8d7ed97b918b2f5ea5d9d6e54f6ca4db4e9df
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17401.600000000442 / 17450.34000000035 [-0.28%]
Products
Total CPU difference: 11508.180000000091 / 11477.640000000127 [+0.27%]
Windows-64-VC14:
OCCT
Total CPU difference: 19191.265625 / 19269.40625 [-0.41%]
Products
Total CPU difference: 12883.6875 / 12905.015625 [-0.17%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0101936)
git (administrator)
2021-06-19 12:04

Branch CR32400 has been deleted by mnt.

SHA-1: d7d27a78f73a68ff2f63ea28d888f78b49e6be73
(0101937)
git (administrator)
2021-06-19 12:04

Branch CR32400_1 has been deleted by mnt.

SHA-1: c6d3109abce3411aea9d6ae501bfafa1cb2ac812

- Related Changesets
occt: master 168c27c6
Timestamp: 2021-05-28 14:39:11
Author: osa
Committer: bugmaster
Details ] Diff ]
0032400: Visualization, TKIVtk - convert VTK camera to OCC

Add new interfaces GetEyePosition(), GetClippingRange(), GetAspectRatio() to IVTK_IView
Add ivtkviewparams command to print current parameters of view
Add ivtkcamera comand to print current camera parameters or manages camera parameters (set ortho or persp projection)
mod - src/IVtk/IVtk_IView.hxx Diff ] File ]
mod - src/IVtkDraw/IVtkDraw.cxx Diff ] File ]
mod - src/IVtkOCC/IVtkOCC_ViewerSelector.cxx Diff ] File ]
mod - src/IVtkOCC/IVtkOCC_ViewerSelector.hxx Diff ] File ]
mod - src/IVtkVTK/IVtkVTK_View.cxx Diff ] File ]
mod - src/IVtkVTK/IVtkVTK_View.hxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_ViewerCommands.cxx Diff ] File ]
add - tests/vtk/ivtk/bug32400 Diff ] File ]

- Issue History
Date Modified Username Field Change
2021-05-28 17:21 osa New Issue
2021-05-28 17:21 osa Assigned To => kgv
2021-05-28 17:21 osa Assigned To kgv => osa
2021-05-28 17:21 osa Status new => assigned
2021-05-28 17:36 kgv Relationship added child of 0024904
2021-05-28 17:36 kgv Relationship added child of 0024623
2021-05-28 17:37 kgv Relationship added related to 0024001
2021-05-28 17:38 git Note Added: 0101456
2021-05-28 17:56 osa Note Added: 0101458
2021-05-28 18:01 osa Note Added: 0101459
2021-06-17 16:50 git Note Added: 0101898
2021-06-17 17:12 osa Note Added: 0101899
2021-06-17 17:56 osa Note Added: 0101900
2021-06-17 17:56 osa Assigned To osa => kgv
2021-06-17 17:56 osa Status assigned => resolved
2021-06-17 17:56 osa Steps to Reproduce Updated View Revisions
2021-06-17 19:28 kgv Assigned To kgv => bugmaster
2021-06-17 19:28 kgv Status resolved => reviewed
2021-06-19 11:26 bugmaster Note Added: 0101934
2021-06-19 11:26 bugmaster Status reviewed => tested
2021-06-19 11:31 bugmaster Test case number => Not required
2021-06-19 11:37 bugmaster Changeset attached => occt master 168c27c6
2021-06-19 11:37 bugmaster Status tested => verified
2021-06-19 11:37 bugmaster Resolution open => fixed
2021-06-19 12:04 git Note Added: 0101936
2021-06-19 12:04 git Note Added: 0101937


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker